import axios from '@/utils/axios'
// 新系统架构新接口
export default {
  /**
  * 新增架构
  */
  addTreeNode(data) {
    return axios.post('/xiaoshi/treeNode/addTreeNode', data)
  },
  /**
  * 查询架构
  */
  queryTreeNodeTree(data) {
    return axios.post('/xiaoshi/treeNode/queryTreeNodeTree', data)
  },
  /**
  * 查询列表
  */
  queryTable(data) {
    return axios.post('/xiaoshi/treeNode/queryTreeNode', data)
  },
  /**
  * 查询当前所有的路径
  */
  queryTreePath(data) {
    return axios.post('/xiaoshi/treeNode/queryTreePath', data)
  },
  /**
  * 编辑架构节点
  */
  updateTreeNode(data) {
    return axios.post('/xiaoshi/treeNode/updateTreeNode', data)
  },
  /**
  * 删除架构节点
  */
  deleteTreeNode(data) {
    return axios.post('/xiaoshi/treeNode/deleteTreeNode', data)
  },
  /**
  * 复制架构节点
  */
  copyTreeNode(data) {
    return axios.post('/xiaoshi/treeNode/copyTreeNode', data)
  },
}